Issue 117769 - Document service com.sun.star.awt.PrinterServer
Document service com.sun.star.awt.PrinterServer
Status: RESOLVED FIXED
Product: App Dev
Classification: Unclassified
Component: api
OOo 3.3 or older
All All
: P3 normal
: 4.0.0
Assigned To: Ariel Constenla-Haile
issues@api
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-08 12:46 UTC by bmarcelly
Modified: 2013-07-21 10:09 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description bmarcelly 2011-04-08 12:46:39 UTC
Users often request to find by program the list of available printers. This is possible with interface com.sun.star.awt.XPrinterServer supported by service com.sun.star.awt.PrinterServer.
See ML thread http://www.mail-archive.com/dev%40api.openoffice.org/msg11036.html which led to Issue 117765.

Problem is that the service com.sun.star.awt.PrinterServer is not documented in the IDL of the SDK.
Comment 1 Frank Schönheit 2011-04-08 13:06:45 UTC
fs->pl: Do you know this service, and would be able to document it?
Comment 2 philipp.lohmann 2011-04-08 13:08:47 UTC
no, I think that is part of cd's domain
Comment 3 carsten.driesner 2011-04-08 14:15:03 UTC
cd: Take over issue. This service should be document especially after FS added support for Basic.
Comment 4 brinzing 2011-04-10 14:06:05 UTC
.
Comment 5 Oliver-Rainer Wittmann 2012-06-13 12:23:29 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.
Comment 6 SVN Robot 2012-10-06 23:17:46 UTC
"arielch" committed SVN 0 into trunk:
#i117769# - Document service com.sun.star.awt.PrinterServer
Comment 7 Ariel Constenla-Haile 2012-10-06 23:19:33 UTC
Fixed on trunk.
Well... I just copied the description from XPrinterServer.
The service is a new style service with a service constructor:

Sub Main
Dim oPrinterServer as Object
oPrinterServer = com.sun.star.awt.PrinterServer.create()
End Sub